-- 6T_Civic_Prereqs
-- Author: JNR
--------------------------------------------------------------

-- CivicPrereqs
--------------------------------------------------------------
DELETE FROM CivicPrereqs;

INSERT OR IGNORE INTO CivicPrereqs
		(Civic,								PrereqCivic)
VALUES	-- Ancient
		('CIVIC_6T_WARFARE',				'CIVIC_CODE_OF_LAWS'),
		('CIVIC_FOREIGN_TRADE',				'CIVIC_CODE_OF_LAWS'),
		('CIVIC_CRAFTSMANSHIP',				'CIVIC_CODE_OF_LAWS'),
		('CIVIC_MYSTICISM',					'CIVIC_CODE_OF_LAWS'),
		('CIVIC_MILITARY_TRADITION',		'CIVIC_6T_WARFARE'),
		('CIVIC_6T_TERRITORY',				'CIVIC_6T_WARFARE'),
		('CIVIC_6T_TERRITORY',				'CIVIC_FOREIGN_TRADE'),
		('CIVIC_STATE_WORKFORCE',			'CIVIC_FOREIGN_TRADE'),
		('CIVIC_STATE_WORKFORCE',			'CIVIC_CRAFTSMANSHIP'),
		('CIVIC_6T_CONSECRATION',			'CIVIC_CRAFTSMANSHIP'),
		('CIVIC_6T_CONSECRATION',			'CIVIC_MYSTICISM'),
		-- Classical
		('CIVIC_MILITARY_TRAINING',			'CIVIC_MILITARY_TRADITION'),
		('CIVIC_MILITARY_TRAINING',			'CIVIC_6T_TERRITORY'),
		('CIVIC_EARLY_EMPIRE',				'CIVIC_6T_TERRITORY'),
		('CIVIC_EARLY_EMPIRE',				'CIVIC_STATE_WORKFORCE'),
		('CIVIC_DRAMA_POETRY',				'CIVIC_STATE_WORKFORCE'),
		('CIVIC_DRAMA_POETRY',				'CIVIC_6T_CONSECRATION'),
		('CIVIC_POLITICAL_PHILOSOPHY',		'CIVIC_STATE_WORKFORCE'),
		('CIVIC_POLITICAL_PHILOSOPHY',		'CIVIC_6T_CONSECRATION'),
		('CIVIC_GAMES_RECREATION',			'CIVIC_MILITARY_TRAINING'),
		('CIVIC_GAMES_RECREATION',			'CIVIC_EARLY_EMPIRE'),
		('CIVIC_GAMES_RECREATION',			'CIVIC_DRAMA_POETRY'),
		('CIVIC_RECORDED_HISTORY',			'CIVIC_EARLY_EMPIRE'),
		('CIVIC_RECORDED_HISTORY',			'CIVIC_DRAMA_POETRY'),
		('CIVIC_RECORDED_HISTORY',			'CIVIC_POLITICAL_PHILOSOPHY'),
		('CIVIC_THEOLOGY',					'CIVIC_DRAMA_POETRY'),
		('CIVIC_THEOLOGY',					'CIVIC_POLITICAL_PHILOSOPHY'),
		-- Post-Classical
		('CIVIC_DEFENSIVE_TACTICS',			'CIVIC_GAMES_RECREATION'),
		('CIVIC_6T_CITIZENSHIP',			'CIVIC_GAMES_RECREATION'),
		('CIVIC_6T_CITIZENSHIP',			'CIVIC_RECORDED_HISTORY'),
		('CIVIC_6T_STATE_RELIGION',			'CIVIC_RECORDED_HISTORY'),
		('CIVIC_6T_STATE_RELIGION',			'CIVIC_THEOLOGY'),
		('CIVIC_NAVAL_TRADITION',			'CIVIC_DEFENSIVE_TACTICS'),
		('CIVIC_NAVAL_TRADITION',			'CIVIC_6T_CITIZENSHIP'),
		('CIVIC_CIVIL_SERVICE',				'CIVIC_6T_CITIZENSHIP'),
		('CIVIC_FEUDALISM',					'CIVIC_6T_CITIZENSHIP'),
		('CIVIC_FEUDALISM',					'CIVIC_6T_STATE_RELIGION'),
		('CIVIC_6T_MONASTICISM',			'CIVIC_6T_STATE_RELIGION'),
		-- Medieval
		('CIVIC_6T_MERCHANT_LEAGUES',		'CIVIC_NAVAL_TRADITION'),
		('CIVIC_6T_MERCHANT_LEAGUES',		'CIVIC_CIVIL_SERVICE'),
		('CIVIC_6T_MERCHANT_LEAGUES',		'CIVIC_FEUDALISM'),
		('CIVIC_6T_ESTATES',				'CIVIC_CIVIL_SERVICE'),
		('CIVIC_6T_ESTATES',				'CIVIC_FEUDALISM'),
		('CIVIC_6T_ESTATES',				'CIVIC_6T_MONASTICISM'),
		('CIVIC_DIVINE_RIGHT',				'CIVIC_FEUDALISM'),
		('CIVIC_DIVINE_RIGHT',				'CIVIC_6T_MONASTICISM'),
		('CIVIC_MERCENARIES',				'CIVIC_6T_MERCHANT_LEAGUES'),
		('CIVIC_MEDIEVAL_FAIRES',			'CIVIC_6T_MERCHANT_LEAGUES'),
		('CIVIC_GUILDS',					'CIVIC_6T_MERCHANT_LEAGUES'),
		('CIVIC_GUILDS',					'CIVIC_6T_ESTATES'),
		('CIVIC_6T_PATRONAGE',				'CIVIC_6T_ESTATES'),
		('CIVIC_6T_PATRONAGE',				'CIVIC_DIVINE_RIGHT'),
		-- Renaissance
		('CIVIC_EXPLORATION',				'CIVIC_MERCENARIES'),
		('CIVIC_EXPLORATION',				'CIVIC_MEDIEVAL_FAIRES'),
		('CIVIC_DIPLOMATIC_SERVICE',		'CIVIC_MERCENARIES'),
		('CIVIC_DIPLOMATIC_SERVICE',		'CIVIC_MEDIEVAL_FAIRES'),
		('CIVIC_DIPLOMATIC_SERVICE',		'CIVIC_GUILDS'),
		('CIVIC_HUMANISM',					'CIVIC_MEDIEVAL_FAIRES'),
		('CIVIC_HUMANISM',					'CIVIC_GUILDS'),
		('CIVIC_HUMANISM',					'CIVIC_6T_PATRONAGE'),
		('CIVIC_REFORMED_CHURCH',			'CIVIC_6T_PATRONAGE'),
		('CIVIC_MERCANTILISM',				'CIVIC_EXPLORATION'),
		('CIVIC_MERCANTILISM',				'CIVIC_DIPLOMATIC_SERVICE'),
		('CIVIC_THE_ENLIGHTENMENT',			'CIVIC_EXPLORATION'),
		('CIVIC_THE_ENLIGHTENMENT',			'CIVIC_DIPLOMATIC_SERVICE'),
		('CIVIC_THE_ENLIGHTENMENT',			'CIVIC_HUMANISM'),
		('CIVIC_6T_TOLERANCE',				'CIVIC_DIPLOMATIC_SERVICE'),
		('CIVIC_6T_TOLERANCE',				'CIVIC_HUMANISM'),
		('CIVIC_6T_TOLERANCE',				'CIVIC_REFORMED_CHURCH'),
		-- Industrial
		('CIVIC_OPERA_BALLET',				'CIVIC_THE_ENLIGHTENMENT'),
		('CIVIC_SCORCHED_EARTH',			'CIVIC_MERCANTILISM'),
		('CIVIC_SCORCHED_EARTH',			'CIVIC_THE_ENLIGHTENMENT'),
		('CIVIC_6T_PARLIAMENTARISM',		'CIVIC_THE_ENLIGHTENMENT'),
		('CIVIC_6T_PARLIAMENTARISM',		'CIVIC_6T_TOLERANCE'),
		('CIVIC_6T_ROMANTICISM',			'CIVIC_OPERA_BALLET'),
		('CIVIC_6T_ROMANTICISM',			'CIVIC_SCORCHED_EARTH'),
		('CIVIC_COLONIALISM',				'CIVIC_SCORCHED_EARTH'),
		('CIVIC_IDEOLOGY',					'CIVIC_SCORCHED_EARTH'),
		('CIVIC_IDEOLOGY',					'CIVIC_6T_PARLIAMENTARISM'),
		('CIVIC_CIVIL_ENGINEERING',			'CIVIC_6T_PARLIAMENTARISM'),
		-- Modern
		('CIVIC_NATURAL_HISTORY',			'CIVIC_6T_ROMANTICISM'),
		('CIVIC_NATURAL_HISTORY',			'CIVIC_COLONIALISM'),
		('CIVIC_NATIONALISM',				'CIVIC_6T_ROMANTICISM'),
		('CIVIC_NATIONALISM',				'CIVIC_COLONIALISM'),
		('CIVIC_NATIONALISM',				'CIVIC_IDEOLOGY'),
		('CIVIC_CAPITALISM',				'CIVIC_COLONIALISM'),
		('CIVIC_CAPITALISM',				'CIVIC_IDEOLOGY'),
		('CIVIC_CAPITALISM',				'CIVIC_CIVIL_ENGINEERING'),
		('CIVIC_URBANIZATION',				'CIVIC_CAPITALISM'),
		('CIVIC_MASS_MEDIA',				'CIVIC_CAPITALISM'),
		('CIVIC_MASS_MEDIA',				'CIVIC_NATIONALISM'),
		('CIVIC_MOBILIZATION',				'CIVIC_NATIONALISM'),
		('CIVIC_CONSERVATION',				'CIVIC_NATIONALISM'),
		('CIVIC_CONSERVATION',				'CIVIC_NATURAL_HISTORY'),
		-- Atomic
		('CIVIC_SUFFRAGE',					'CIVIC_URBANIZATION'),
		('CIVIC_SUFFRAGE',					'CIVIC_MASS_MEDIA'),
		('CIVIC_CLASS_STRUGGLE',			'CIVIC_URBANIZATION'),
		('CIVIC_CLASS_STRUGGLE',			'CIVIC_MOBILIZATION'),
		('CIVIC_TOTALITARIANISM',			'CIVIC_MASS_MEDIA'),
		('CIVIC_TOTALITARIANISM',			'CIVIC_MOBILIZATION'),
		('CIVIC_TOTALITARIANISM',			'CIVIC_CONSERVATION'),
		('CIVIC_CULTURAL_HERITAGE',			'CIVIC_SUFFRAGE'),
		('CIVIC_CULTURAL_HERITAGE',			'CIVIC_CLASS_STRUGGLE'),
		('CIVIC_6T_CONSUMERISM',			'CIVIC_SUFFRAGE'),
		('CIVIC_6T_CONSUMERISM',			'CIVIC_TOTALITARIANISM'),
		('CIVIC_PROFESSIONAL_SPORTS',		'CIVIC_CLASS_STRUGGLE'),
		('CIVIC_PROFESSIONAL_SPORTS',		'CIVIC_TOTALITARIANISM'),
		('CIVIC_NUCLEAR_PROGRAM',			'CIVIC_TOTALITARIANISM'),
		-- Information
		('CIVIC_6T_POP_CULTURE',			'CIVIC_CULTURAL_HERITAGE'),
		('CIVIC_6T_POP_CULTURE',			'CIVIC_6T_CONSUMERISM'),
		('CIVIC_6T_POP_CULTURE',			'CIVIC_PROFESSIONAL_SPORTS'),
		('CIVIC_COLD_WAR',					'CIVIC_6T_CONSUMERISM'),
		('CIVIC_COLD_WAR',					'CIVIC_NUCLEAR_PROGRAM'),
		('CIVIC_GLOBALIZATION',				'CIVIC_6T_POP_CULTURE'),
		('CIVIC_GLOBALIZATION',				'CIVIC_COLD_WAR'),
		('CIVIC_SPACE_RACE',				'CIVIC_COLD_WAR'),
		('CIVIC_RAPID_DEPLOYMENT',			'CIVIC_COLD_WAR'),
		('CIVIC_SOCIAL_MEDIA',				'CIVIC_GLOBALIZATION'),
		('CIVIC_SOCIAL_MEDIA',				'CIVIC_SPACE_RACE'),
		('CIVIC_ENVIRONMENTALISM',			'CIVIC_GLOBALIZATION'),
		('CIVIC_ENVIRONMENTALISM',			'CIVIC_SPACE_RACE'),
		('CIVIC_ENVIRONMENTALISM',			'CIVIC_RAPID_DEPLOYMENT'),
		-- Future
		('CIVIC_DIGITAL_DEMOCRACY',			'CIVIC_SOCIAL_MEDIA'),
		('CIVIC_DIGITAL_DEMOCRACY',			'CIVIC_ENVIRONMENTALISM'),
		('CIVIC_CORPORATE_LIBERTARIANISM',	'CIVIC_SOCIAL_MEDIA'),
		('CIVIC_CORPORATE_LIBERTARIANISM',	'CIVIC_ENVIRONMENTALISM'),
		('CIVIC_SYNTHETIC_TECHNOCRACY',		'CIVIC_SOCIAL_MEDIA'),
		('CIVIC_SYNTHETIC_TECHNOCRACY',		'CIVIC_ENVIRONMENTALISM'),
		('CIVIC_INFORMATION_WARFARE',		'CIVIC_DIGITAL_DEMOCRACY'),
		('CIVIC_INFORMATION_WARFARE',		'CIVIC_CORPORATE_LIBERTARIANISM'),
		('CIVIC_SMART_POWER_DOCTRINE',		'CIVIC_DIGITAL_DEMOCRACY'),
		('CIVIC_SMART_POWER_DOCTRINE',		'CIVIC_CORPORATE_LIBERTARIANISM'),
		('CIVIC_SMART_POWER_DOCTRINE',		'CIVIC_SYNTHETIC_TECHNOCRACY'),
		('CIVIC_EXODUS_IMPERATIVE',			'CIVIC_CORPORATE_LIBERTARIANISM'),
		('CIVIC_EXODUS_IMPERATIVE',			'CIVIC_SYNTHETIC_TECHNOCRACY'),
		('CIVIC_FUTURE_CIVIC',				'CIVIC_INFORMATION_WARFARE'),
		('CIVIC_FUTURE_CIVIC',				'CIVIC_SMART_POWER_DOCTRINE'),
		('CIVIC_FUTURE_CIVIC',				'CIVIC_EXODUS_IMPERATIVE');
--------------------------------------------------------------

-- Civics
--------------------------------------------------------------
DELETE FROM Civics WHERE CivicType IN ('CIVIC_CULTURAL_HEGEMONY', 'CIVIC_GLOBAL_WARMING_MITIGATION', 'CIVIC_NEAR_FUTURE_GOVERNANCE');
--------------------------------------------------------------