-- 6T_TechnologyPrereqs
-- Author: JNR
--------------------------------------------------------------

-- TechnologyPrereqs
--------------------------------------------------------------
DELETE FROM TechnologyPrereqs;

INSERT OR IGNORE INTO TechnologyPrereqs
		(Technology,					PrereqTech)
VALUES	-- Ancient
		('TECH_WRITING',				'TECH_POTTERY'),
		('TECH_BRONZE_WORKING',			'TECH_POTTERY'),
		('TECH_BRONZE_WORKING',			'TECH_MINING'),
		('TECH_ARCHERY',				'TECH_ANIMAL_HUSBANDRY'),
		('TECH_6T_CALENDAR',			'TECH_ASTROLOGY'),
		('TECH_6T_CALENDAR',			'TECH_WRITING'),
		('TECH_MASONRY',				'TECH_WRITING'),
		('TECH_MASONRY',				'TECH_BRONZE_WORKING'),
		('TECH_THE_WHEEL',				'TECH_BRONZE_WORKING'),
		('TECH_THE_WHEEL',				'TECH_ARCHERY'),
		-- Classical
		('TECH_SAILING',				'TECH_6T_FISHING'),
		('TECH_CURRENCY',				'TECH_6T_CALENDAR'),
		('TECH_IRRIGATION',				'TECH_6T_CALENDAR'),
		('TECH_IRRIGATION',				'TECH_MASONRY'),
		('TECH_IRRIGATION',				'TECH_THE_WHEEL'),
		('TECH_HORSEBACK_RIDING',		'TECH_THE_WHEEL'),
		('TECH_CELESTIAL_NAVIGATION',	'TECH_SAILING'),
		('TECH_CELESTIAL_NAVIGATION',	'TECH_CURRENCY'),
		('TECH_ENGINEERING',			'TECH_CURRENCY'),
		('TECH_ENGINEERING',			'TECH_IRRIGATION'),
		('TECH_IRON_WORKING',			'TECH_CURRENCY'),
		('TECH_IRON_WORKING',			'TECH_HORSEBACK_RIDING'),
		('TECH_SHIPBUILDING',			'TECH_CELESTIAL_NAVIGATION'),
		('TECH_SHIPBUILDING',			'TECH_ENGINEERING'),
		('TECH_MATHEMATICS',			'TECH_ENGINEERING'),
		('TECH_CONSTRUCTION',			'TECH_ENGINEERING'),
		('TECH_CONSTRUCTION',			'TECH_IRON_WORKING'),
		-- Post-Classical
		('TECH_6T_SURVEYING',			'TECH_MATHEMATICS'),
		('TECH_6T_SURVEYING',			'TECH_CONSTRUCTION'),
		('TECH_MACHINERY',				'TECH_MATHEMATICS'),
		('TECH_MACHINERY',				'TECH_CONSTRUCTION'),
		('TECH_6T_SADDLE',				'TECH_ENGINEERING'),
		('TECH_6T_SADDLE',				'TECH_IRON_WORKING'),
		('TECH_6T_OPTICS',				'TECH_SHIPBUILDING'),
		('TECH_6T_OPTICS',				'TECH_6T_SURVEYING'),
		('TECH_BUTTRESS',				'TECH_6T_SURVEYING'),
		('TECH_BUTTRESS',				'TECH_MACHINERY'),
		('TECH_6T_METALLURGY',			'TECH_MACHINERY'),
		('TECH_MILITARY_TACTICS',		'TECH_6T_SADDLE'),
		('TECH_EDUCATION',				'TECH_6T_OPTICS'),
		('TECH_EDUCATION',				'TECH_BUTTRESS'),
		('TECH_6T_SIEGE_ENGINES',		'TECH_BUTTRESS'),
		('TECH_6T_SIEGE_ENGINES',		'TECH_6T_METALLURGY'),
		('TECH_6T_SIEGE_ENGINES',		'TECH_MILITARY_TACTICS'),
		('TECH_6T_HORSE_COLLAR',		'TECH_6T_METALLURGY'),
		('TECH_6T_HORSE_COLLAR',		'TECH_MILITARY_TACTICS'),
		-- Medieval
		('TECH_APPRENTICESHIP',			'TECH_EDUCATION'),
		('TECH_APPRENTICESHIP',			'TECH_6T_SIEGE_ENGINES'),
		('TECH_CASTLES',				'TECH_6T_SIEGE_ENGINES'),
		('TECH_CASTLES',				'TECH_6T_HORSE_COLLAR'),
		('TECH_STIRRUPS',				'TECH_6T_SIEGE_ENGINES'),
		('TECH_STIRRUPS',				'TECH_6T_HORSE_COLLAR'),
		('TECH_6T_MECHANICS',			'TECH_APPRENTICESHIP'),
		('TECH_6T_COMPASS',				'TECH_APPRENTICESHIP'),
		('TECH_6T_ALCHEMY',				'TECH_APPRENTICESHIP'),
		('TECH_6T_ALCHEMY',				'TECH_CASTLES'),
		('TECH_6T_PIKE_TACTICS',		'TECH_CASTLES'),
		('TECH_6T_PIKE_TACTICS',		'TECH_STIRRUPS'),
		('TECH_6T_SPINNING_WHEEL',		'TECH_6T_MECHANICS'),
		('TECH_MILITARY_ENGINEERING',	'TECH_6T_MECHANICS'),
		('TECH_MILITARY_ENGINEERING',	'TECH_6T_COMPASS'),
		('TECH_MILITARY_ENGINEERING',	'TECH_6T_ALCHEMY'),
		('TECH_GUNPOWDER',				'TECH_6T_ALCHEMY'),
		('TECH_GUNPOWDER',				'TECH_6T_PIKE_TACTICS'),
		-- Renaissance
		('TECH_CARTOGRAPHY',			'TECH_6T_SPINNING_WHEEL'),
		('TECH_CARTOGRAPHY',			'TECH_MILITARY_ENGINEERING'),
		('TECH_BANKING',				'TECH_6T_SPINNING_WHEEL'),
		('TECH_BANKING',				'TECH_MILITARY_ENGINEERING'),
		('TECH_METAL_CASTING',			'TECH_MILITARY_ENGINEERING'),
		('TECH_METAL_CASTING',			'TECH_GUNPOWDER'),
		('TECH_ASTRONOMY',				'TECH_CARTOGRAPHY'),
		('TECH_PRINTING',				'TECH_CARTOGRAPHY'),
		('TECH_PRINTING',				'TECH_BANKING'),
		('TECH_MASS_PRODUCTION',		'TECH_BANKING'),
		('TECH_MASS_PRODUCTION',		'TECH_METAL_CASTING'),
		('TECH_6T_CARACOLE',			'TECH_METAL_CASTING'),
		('TECH_SQUARE_RIGGING',			'TECH_ASTRONOMY'),
		('TECH_SQUARE_RIGGING',			'TECH_PRINTING'),
		('TECH_SQUARE_RIGGING',			'TECH_MASS_PRODUCTION'),
		('TECH_SIEGE_TACTICS',			'TECH_MASS_PRODUCTION'),
		('TECH_6T_LINE_TACTICS',		'TECH_MASS_PRODUCTION'),
		('TECH_6T_LINE_TACTICS',		'TECH_6T_CARACOLE'),
		-- Industrial
		('TECH_6T_BIOLOGY',				'TECH_SQUARE_RIGGING'),
		('TECH_6T_COKING',				'TECH_SQUARE_RIGGING'),
		('TECH_BALLISTICS',				'TECH_SIEGE_TACTICS'),
		('TECH_BALLISTICS',				'TECH_6T_LINE_TACTICS'),
		('TECH_SCIENTIFIC_THEORY',		'TECH_6T_BIOLOGY'),
		('TECH_SCIENTIFIC_THEORY',		'TECH_6T_COKING'),
		('TECH_ECONOMICS',				'TECH_6T_COKING'),
		('TECH_MILITARY_SCIENCE',		'TECH_BALLISTICS'),
		('TECH_6T_MEDICINE',			'TECH_SCIENTIFIC_THEORY'),
		('TECH_STEEL',					'TECH_SCIENTIFIC_THEORY'),
		('TECH_STEEL',					'TECH_ECONOMICS'),
		('TECH_INDUSTRIALIZATION',		'TECH_ECONOMICS'),
		('TECH_RIFLING',				'TECH_ECONOMICS'),
		('TECH_RIFLING',				'TECH_MILITARY_SCIENCE'),
		-- Modern
		('TECH_REFINING',				'TECH_6T_MEDICINE'),
		('TECH_REFINING',				'TECH_STEEL'),
		('TECH_REFINING',				'TECH_INDUSTRIALIZATION'),
		('TECH_STEAM_POWER',			'TECH_STEEL'),
		('TECH_STEAM_POWER',			'TECH_INDUSTRIALIZATION'),
		('TECH_STEAM_POWER',			'TECH_RIFLING'),
		('TECH_FLIGHT',					'TECH_INDUSTRIALIZATION'),
		('TECH_FLIGHT',					'TECH_RIFLING'),
		('TECH_SANITATION',				'TECH_REFINING'),
		('TECH_6T_DYNAMITE',			'TECH_REFINING'),
		('TECH_6T_DYNAMITE',			'TECH_STEAM_POWER'),
		('TECH_ELECTRICITY',			'TECH_REFINING'),
		('TECH_ELECTRICITY',			'TECH_STEAM_POWER'),
		('TECH_ELECTRICITY',			'TECH_FLIGHT'),
		('TECH_CHEMISTRY',				'TECH_SANITATION'),
		('TECH_CHEMISTRY',				'TECH_6T_DYNAMITE'),
		('TECH_COMBUSTION',				'TECH_6T_DYNAMITE'),
		('TECH_REPLACEABLE_PARTS',		'TECH_6T_DYNAMITE'),
		('TECH_REPLACEABLE_PARTS',		'TECH_ELECTRICITY'),
		('TECH_6T_WARPLANES',			'TECH_ELECTRICITY'),
		-- Atomic
		('TECH_6T_PHARMACEUTICALS',		'TECH_CHEMISTRY'),
		('TECH_6T_PHARMACEUTICALS',		'TECH_COMBUSTION'),
		('TECH_6T_REFRIGERATION',		'TECH_CHEMISTRY'),
		('TECH_6T_REFRIGERATION',		'TECH_COMBUSTION'),
		('TECH_6T_REFRIGERATION',		'TECH_REPLACEABLE_PARTS'),
		('TECH_ADVANCED_BALLISTICS',	'TECH_COMBUSTION'),
		('TECH_ADVANCED_BALLISTICS',	'TECH_REPLACEABLE_PARTS'),
		('TECH_ADVANCED_BALLISTICS',	'TECH_6T_WARPLANES'),
		('TECH_RADIO',					'TECH_REPLACEABLE_PARTS'),
		('TECH_RADIO',					'TECH_6T_WARPLANES'),
		('TECH_6T_PHYSICS',				'TECH_6T_PHARMACEUTICALS'),
		('TECH_6T_PHYSICS',				'TECH_6T_REFRIGERATION'),
		('TECH_6T_PHYSICS',				'TECH_ADVANCED_BALLISTICS'),
		('TECH_PLASTICS',				'TECH_6T_REFRIGERATION'),
		('TECH_PLASTICS',				'TECH_ADVANCED_BALLISTICS'),
		('TECH_ADVANCED_FLIGHT',		'TECH_ADVANCED_BALLISTICS'),
		('TECH_ADVANCED_FLIGHT',		'TECH_RADIO'),
		('TECH_NUCLEAR_FISSION',		'TECH_6T_PHYSICS'),
		('TECH_COMPUTERS',				'TECH_6T_PHYSICS'),
		('TECH_COMPUTERS',				'TECH_PLASTICS'),
		('TECH_ROCKETRY',				'TECH_6T_PHYSICS'),
		('TECH_ROCKETRY',				'TECH_PLASTICS'),
		('TECH_ROCKETRY',				'TECH_ADVANCED_FLIGHT'),
		('TECH_COMBINED_ARMS',			'TECH_PLASTICS'),
		('TECH_COMBINED_ARMS',			'TECH_ADVANCED_FLIGHT'),
		-- Information
		('TECH_SATELLITES',				'TECH_NUCLEAR_FISSION'),
		('TECH_SATELLITES',				'TECH_COMPUTERS'),
		('TECH_SATELLITES',				'TECH_ROCKETRY'),
		('TECH_GUIDANCE_SYSTEMS',		'TECH_COMPUTERS'),
		('TECH_GUIDANCE_SYSTEMS',		'TECH_ROCKETRY'),
		('TECH_GUIDANCE_SYSTEMS',		'TECH_COMBINED_ARMS'),
		('TECH_SYNTHETIC_MATERIALS',	'TECH_ROCKETRY'),
		('TECH_SYNTHETIC_MATERIALS',	'TECH_COMBINED_ARMS'),
		('TECH_6T_ECOLOGY',				'TECH_SATELLITES'),
		('TECH_TELECOMMUNICATIONS',		'TECH_SATELLITES'),
		('TECH_TELECOMMUNICATIONS',		'TECH_GUIDANCE_SYSTEMS'),
		('TECH_LASERS',					'TECH_SATELLITES'),
		('TECH_LASERS',					'TECH_GUIDANCE_SYSTEMS'),
		('TECH_LASERS',					'TECH_SYNTHETIC_MATERIALS'),
		('TECH_COMPOSITES',				'TECH_GUIDANCE_SYSTEMS'),
		('TECH_COMPOSITES',				'TECH_SYNTHETIC_MATERIALS'),
		('TECH_6T_GENOMICS',			'TECH_6T_ECOLOGY'),
		('TECH_6T_GENOMICS',			'TECH_TELECOMMUNICATIONS'),
		('TECH_6T_GENOMICS',			'TECH_LASERS'),
		('TECH_NUCLEAR_FUSION',			'TECH_TELECOMMUNICATIONS'),
		('TECH_NUCLEAR_FUSION',			'TECH_LASERS'),
		('TECH_NANOTECHNOLOGY',			'TECH_LASERS'),
		('TECH_NANOTECHNOLOGY',			'TECH_COMPOSITES'),
		('TECH_STEALTH_TECHNOLOGY',		'TECH_LASERS'),
		('TECH_STEALTH_TECHNOLOGY',		'TECH_COMPOSITES'),
		-- Future
		('TECH_ROBOTICS',				'TECH_6T_GENOMICS'),
		('TECH_ROBOTICS',				'TECH_NUCLEAR_FUSION'),
		('TECH_CYBERNETICS',			'TECH_6T_GENOMICS'),
		('TECH_CYBERNETICS',			'TECH_NANOTECHNOLOGY'),
		('TECH_ADVANCED_POWER_CELLS',	'TECH_NUCLEAR_FUSION'),
		('TECH_ADVANCED_POWER_CELLS',	'TECH_NANOTECHNOLOGY'),
		('TECH_SMART_MATERIALS',		'TECH_NANOTECHNOLOGY'),
		('TECH_SMART_MATERIALS',		'TECH_STEALTH_TECHNOLOGY'),
		('TECH_PREDICTIVE_SYSTEMS',		'TECH_ROBOTICS'),
		('TECH_PREDICTIVE_SYSTEMS',		'TECH_CYBERNETICS'),
		('TECH_ADVANCED_AI',			'TECH_ROBOTICS'),
		('TECH_ADVANCED_AI',			'TECH_CYBERNETICS'),
		('TECH_ADVANCED_AI',			'TECH_ADVANCED_POWER_CELLS'),
		('TECH_SEASTEADS',				'TECH_CYBERNETICS'),
		('TECH_SEASTEADS',				'TECH_ADVANCED_POWER_CELLS'),
		('TECH_SEASTEADS',				'TECH_SMART_MATERIALS'),
		('TECH_OFFWORLD_MISSION',		'TECH_ADVANCED_POWER_CELLS'),
		('TECH_OFFWORLD_MISSION',		'TECH_SMART_MATERIALS'),
		('TECH_FUTURE_TECH',			'TECH_PREDICTIVE_SYSTEMS'),
		('TECH_FUTURE_TECH',			'TECH_ADVANCED_AI'),
		('TECH_FUTURE_TECH',			'TECH_SEASTEADS'),
		('TECH_FUTURE_TECH',			'TECH_OFFWORLD_MISSION');
--------------------------------------------------------------